Groundeddocs
ReferenceNotifications

Change the caller's channels for some notification types

PUT/v1/me/notification-settings

Types not listed keep their current setting. Mandatory types can't be turned off (400 notification_mandatory).

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X PUT "https://example.com/v1/me/notification-settings" \  -H "Content-Type: application/json" \  -d '{    "items": [      {        "type": "team.invited",        "inApp": true,        "email": true      }    ]  }'
{  "data": {    "emailEnabled": true,    "items": [      {        "type": "team.invited",        "label": "Domain request decided",        "description": "string",        "mandatory": true,        "inApp": true,        "email": true      }    ]  }}